The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Performance Monitoring Settings at the Domain Level

Prev Next

This URL updates the performance monitoring settings at the domain level.

Resource URL

PUT /domain/<domainId>/performancemonitoring

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
inheritSettings Inherit settings from parent domain Boolean Yes
enableMetricCollection Enable metric collection Boolean Yes
enableThresholdAnalysis Enable threshold analysis Boolean Yes
visibleToChildAdminDomain Settings visible to the child domain Boolean Yes
enableCPUUtilizationMetricCollection Enable CPU utilization metric collection Boolean Yes
enablePortThroughputUtilizationMetricCollection Enable port throughput utilization metric collection Boolean Yes
thresholds List of threshold values Array No
display Display values Object No

Details of object in thresholds:

Field Name Description Data Type Mandatory
metric Metric name String Yes
thresholds List of threshold details Array Yes
thresholdName Name of the threshold String Yes
thresholdValue Threshold value Number Yes
resetThresholdValue Reset threshold value Number Yes
enableAlarm Alarm enabled or not Boolean Yes

Details of display:

Field Name Description Data Type Mandatory
mediumMemoryUsage Memory usage value to be shown as medium usage Number Yes
highMemoryUsage Memory usage value to be shown as high usage Number Yes
mediumDeviceThroughputUsage Device throughput usage value to be shown as medium usage Number Yes
highDeviceThroughputUsage Device throughput usage value to be shown as high usage Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful. Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/performancemonitoring

Payload

{
	"inheritSettings": false,
	"enableMetricCollection": true,
	"enableThresholdAnalysis": true,
	"visibleToChildAdminDomain": true,
	"enableCPUUtilizationMetricCollection": true,
	"enablePortThroughputUtilizationMetricCollection": true,
	"thresholds": [{
		"metric": "CPU Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 92,
			"resetThresholdValue": 72,
			"enableAlarm": true
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 72,
			"resetThresholdValue": 52,
			"enableAlarm": true
		}]
	},
	{
		"metric": "Sensor Throughput Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 91,
			"resetThresholdValue": 71,
			"enableAlarm": false
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 71,
			"resetThresholdValue": 51,
			"enableAlarm": true
		},
		{
			"thresholdName": "Under Utilization",
			"direction": "Falling",
			"thresholdValue": 6,
			"resetThresholdValue": 11,
			"enableAlarm": true
		}]
	},
	{
		"metric": "L2 Error Drop",
		"thresholds": [{
			"thresholdName": "Too Many L2 Errors",
			"direction": "Rising",
			"thresholdValue": 99,
			"resetThresholdValue": 51,
			"enableAlarm": true
		}]
	},
	{
		"metric": "L3/L4 Error Drop",
		"thresholds": [{
			"thresholdName": "Too Many L3/L4 Errors",
			"direction": "Rising",
			"thresholdValue": 1001,
			"resetThresholdValue": 101,
			"enableAlarm": true
		}]
	},
	{
		"metric": "Memory Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 91,
			"resetThresholdValue": 71,
			"enableAlarm": false
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 71,
			"resetThresholdValue": 51,
			"enableAlarm": false
		}]
	}],
	"display": {
		"mediumMemoryUsage": 76,
		"highMemoryUsage": 91,
		"mediumDeviceThroughputUsage": 76,
		"highDeviceThroughputUsage": 91
	}
} 

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 400 1111 Cannot inherit settings for main admin domain
3 400 1111 Performance monitoring not supported
4 400 1111 Display parameters should be between 0 and 99
5 400 1111 Medium usage parameter should be greater that high usage parameter
6 400 1111 Threshold values should be greater than 0
7 400 1111 Threshold values should be between 1 and 100
8 400 1111 In case of rising, the reset threshold value should be less than threshold value
9 400 1111 In case of falling, the threshold value should be less than reset threshold value
10 500 1001 Internal server error